Eclipse (NEON) Firmware

Install the latest version of Eclipse (NEON) firmware (v5.10.0) for optimal performance of your instrument.


Release Notes describe firmware improvements.

NOTE: Install the latest version of Eclipse (NEON) firmware (v5.10.0) for optimal performance of your instrument. This version requires VISION 3.1.1.8 or higher in order to connect to the instrument in VISION RUN.

Download Installer